picard.analysis.directed

## Class InsertSizeMetricsCollector

- java.lang.Object
- - picard.metrics.MultiLevelCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>
  - - picard.analysis.directed.InsertSizeMetricsCollector

-     public class InsertSizeMetricsCollector
      extends MultiLevelCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>

  Collects InsertSizeMetrics on the specified accumulationLevels using

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InsertSizeMetricsCollector.PerUnitInsertSizeMetricsCollector` A Collector for individual InsertSizeMetrics for a given SAMPLE or SAMPLE/LIBRARY or SAMPLE/LIBRARY/READ_GROUP (depending on aggregation levels)

  - ### Field Summary

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertSizeMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, double minimumPct, Integer histogramWidth, double deviations, boolean includeDuplicates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptRecord(htsjdk.samtools.SAMRecord record, htsjdk.samtools.reference.ReferenceSequence refSeq)` Construct a argument of ARGTYPE using the given SAMRecord and ReferenceSequence then pass this value to all collectors that should include this record
    `protected picard.analysis.directed.InsertSizeCollectorArgs` | `makeArg(htsjdk.samtools.SAMRecord samRecord, htsjdk.samtools.reference.ReferenceSequence refSeq)`
    `protected PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>` | `makeChildCollector(String sample, String library, String readGroup)` Make an InsertSizeCollector with the given arguments

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertSizeMetricsCollector

          public InsertSizeMetricsCollector(Set<MetricAccumulationLevel> accumulationLevels,
                                            List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                            double minimumPct,
                                            Integer histogramWidth,
                                            double deviations,
                                            boolean includeDuplicates)

  - ### Method Detail

    - #### makeArg

          protected picard.analysis.directed.InsertSizeCollectorArgs makeArg(htsjdk.samtools.SAMRecord samRecord,
                                                                             htsjdk.samtools.reference.ReferenceSequence refSeq)

      Specified by:
        `makeArg` in class `MultiLevelCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`

    - #### makeChildCollector

          protected PerUnitMetricCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs> makeChildCollector(String sample,
                                                                                                                                          String library,
                                                                                                                                          String readGroup)

      Make an InsertSizeCollector with the given arguments
      Specified by:
        `makeChildCollector` in class `MultiLevelCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`
      Parameters:
        `sample` - If aggregating by ALL_READS this will be null, otherwise the sample that will be used to identify this collector
        `library` - If aggregating by SAMPLE this will be null, otherwise the library that will be used to identify this collector
        `readGroup` - If aggregating by LIBRARY this will be null, otherwise the readGroup that will be used to identify this collector
      Returns:
        A PerUnitMetricCollector parameterized by the given arguments

    - #### acceptRecord

          public void acceptRecord(htsjdk.samtools.SAMRecord record,
                                   htsjdk.samtools.reference.ReferenceSequence refSeq)

      Description copied from class: `MultiLevelCollector`
      Construct a argument of ARGTYPE using the given SAMRecord and ReferenceSequence then pass this value to all collectors that should include this record
      Overrides:
        `acceptRecord` in class `MultiLevelCollector<InsertSizeMetrics,Integer,picard.analysis.directed.InsertSizeCollectorArgs>`